import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.agentSetup.sendGuidance('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
agentId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
text: 'x',
});
console.log(response.data);
import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.agent_setup.send_guidance(
setup_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
agent_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
text="x",
)
print(response.data)
{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}
{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}
{
"type": "conflict",
"code": "resource_in_use",
"message": "The resource is in use and cannot be deleted"
}
{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}
Automatic test setup
Guide a running test setup
Tells a running test setup what to focus on or avoid, in your own words. It reads it on its next turn and it outranks setup’s own plan. Refused once setup has finished.
POST
/
v1
/
agent
/
{agentId}
/
setup
/
{setupId}
/
guidance
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const response = await client.agentSetup.sendGuidance('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
agentId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
text: 'x',
});
console.log(response.data);
import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
response = client.agent_setup.send_guidance(
setup_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
agent_id="182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e",
text="x",
)
print(response.data)
{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}
{
"type": "not_found",
"code": "resource_not_found",
"message": "The requested resource could not be found"
}
{
"type": "conflict",
"code": "resource_in_use",
"message": "The resource is in use and cannot be deleted"
}
{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}
Authorizations
Authorization
string
header
required
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
agentId
string<uuid>
required
setupId
string<uuid>
required
Body
application/json
text
string
required
What you want setup to know
Required string length: 1 - 4000
Response
Setup will read it on its next turn
data
object
required
The tests Roark generated for an agent, and why
Show child attributes
{"docsConfig":{"theme":"aspen","$schema":"https://mintlify.com/docs.json","name":"Roark Docs","description":"Roark is the quality platform for voice and chat AI. Simulate every scenario before launch, monitor every production call, and score them with audio-native metrics.","colors":{"primary":"#006838","light":"#4faf62","dark":"#005530"},"logo":{"light":"https://mintcdn.com/roark/roh5qorg6REL9dkn/images/logo/light.svg?fit=max\u0026auto=format\u0026n=roh5qorg6REL9dkn\u0026q=85\u0026s=040c5cac74f0bd94ad25a3ccfdb45dbc","dark":"https://mintcdn.com/roark/85D-0i58gn7fPi1w/images/logo/dark.svg?fit=max\u0026auto=format\u0026n=85D-0i58gn7fPi1w\u0026q=85\u0026s=d666f2dc1f3dc1b8320c0bef62dca06b","href":"https://roark.ai"},"favicon":"https://mintcdn.com/roark/roh5qorg6REL9dkn/favicon.svg?fit=max\u0026auto=format\u0026n=roh5qorg6REL9dkn\u0026q=85\u0026s=95d524da66f21b9f4532ec4f6162efc5","appearance":{"default":"system"},"background":{"color":{"light":"#f0eeeb","dark":"#0e0d0c"}},"navbar":{"primary":{"type":"button","label":"Get Started","href":"https://roark.ai/signup"}},"footer":{"socials":{"x":"https://x.com/roarkhq","github":"https://github.com/roarkhq","linkedin":"https://www.linkedin.com/company/roark-innovations"}},"fonts":{"heading":{"family":"Bricolage Grotesque","weight":600},"body":{"family":"Hanken Grotesk"}},"icons":{"library":"lucide"},"styling":{"eyebrows":"section","codeblocks":{"theme":{"light":"everforest-light","dark":"everforest-dark"}},"latex":false},"contextual":{"options":["copy","view","chatgpt","claude","cursor","mcp"],"display":"header"},"navigation":{"global":{},"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"roark","hasAudioNarration":false,"actualSubdomain":"roark","customDomains":["docs.roark.ai"],"gitSource":{"type":"github","owner":"roarkhq","repo":"docs-roark-analytics","deployBranch":"main","contentDirectory":"","isPrivate":true,"mountPath":"","label":""},"entitlements":{},"buildId":"6afcaeadb1dbd0187d1f4689","clientVersion":"0.0.4177","searchFilterCounts":[{"language":"default","tag":"API Reference","count":236},{"language":"default","tag":"CLI Reference","count":227},{"language":"default","tag":"Guides","count":86},{"language":"default","tag":"simulation","count":44},{"language":"default","tag":"Simulations","count":38},{"language":"default","tag":"agent","count":37},{"language":"default","tag":"connections","count":31},{"language":"default","tag":"Templates","count":20},{"language":"default","tag":"job","count":19},{"language":"default","tag":"metric","count":19}]},"assistantConfig":{},"basePath":"","hasChatPermissions":false,"hasWebMcpPermissions":false,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-rbac-roles","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"starter-pricing","enabled":true,"variant":{"name":"treatment","enabled":true,"payload":{"type":"string","value":"treatment"},"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":true},"customCss":[{"filePath":"style.css","content":"@import url('https://fonts.googleapis.com/css2?family=Geist+Mono:wght@400;500;600\u0026display=swap');:root{--roark-accent: #006838;--roark-accent-hover: #005530;--roark-accent-subtle: rgba(0, 104, 56, 0.08);--roark-shell: #f0eeeb;--roark-panel: #ffffff;--roark-border: #e4e0dc;--roark-radius-card: 14px;--roark-ease: cubic-bezier(0.25, 0.1, 0.25, 1)}.dark{--roark-accent: #4faf62;--roark-accent-hover: #5ec070;--roark-accent-subtle: rgba(79, 175, 98, 0.1);--roark-shell: #0e0d0c;--roark-panel: #1a1918;--roark-border: #2e2c2a}code,kbd,samp,pre,pre *{font-family:'Geist Mono', ui-monospace, 'SF Mono', SFMono-Regular, Menlo, monospace}h1,h2,h3,h4{font-feature-settings:'ss01' on;letter-spacing:-0.02em}#content-area h1{font-size:clamp(2.1rem, 3.4vw, 2.6rem);line-height:1.12}body{font-feature-settings:'ss01' on, 'cv01' on;-webkit-font-smoothing:antialiased;-moz-osx-font-smoothing:grayscale}::selection{background:#006838;color:#f0eeeb}.dark ::selection{background:#4faf62;color:#0e0d0c}#content-area a.link{color:var(--roark-accent);text-decoration-color:var(--roark-accent-subtle);text-underline-offset:3px;transition:color 0.15s var(--roark-ease)}#content-area a.link:hover{color:var(--roark-accent-hover);text-decoration-color:currentColor}[class*=\"eyebrow\"]{font-family:'Geist Mono', ui-monospace, monospace;font-size:0.75rem;font-weight:500;text-transform:uppercase;letter-spacing:0.08em}.sidebar-group-header{font-family:'Geist Mono', ui-monospace, monospace;font-size:0.6875rem;font-weight:500;text-transform:uppercase;letter-spacing:0.08em;color:#716f6c}.dark .sidebar-group-header{color:#8a8785}.card{border-radius:var(--roark-radius-card)}.dark .card{background-color:#1a1918;border-color:rgba(255, 255, 255, 0.07)}.card [data-component-part=\"card-icon\"]{width:2.75rem;height:2.75rem;display:flex;align-items:center;justify-content:center;background:var(--roark-accent-subtle);border-radius:12px}[data-component-part=\"step-number\"]>div{font-family:'Geist Mono', ui-monospace, monospace;background:var(--roark-accent-subtle);color:var(--roark-accent)}#content-area hr{margin-top:2.5rem;margin-bottom:2.5rem;border-color:var(--roark-border)}.prose h2{margin-top:2.75rem}#sidebar{border-right:1px solid var(--roark-border)}img.nav-logo{height:1.75rem}#content-area img,#content-area video,#content-area iframe{border-radius:var(--roark-radius-card)}#content-area img{border:1px solid rgba(0, 0, 0, 0.06);box-shadow:0 1px 3px rgba(0, 0, 0, 0.04), 0 8px 24px rgba(0, 0, 0, 0.03)}.dark #content-area img{border-color:rgba(255, 255, 255, 0.06);box-shadow:0 1px 3px rgba(0, 0, 0, 0.3), 0 8px 24px rgba(0, 0, 0, 0.2)}#content-area img.nav-logo{border:none;box-shadow:none;border-radius:0}::-webkit-scrollbar{width:10px;height:10px}::-webkit-scrollbar-thumb{background:#d6d2cc;border-radius:5px;border:2px solid transparent;background-clip:content-box}.dark ::-webkit-scrollbar-thumb{background:#3a3835;border-radius:5px;border:2px solid transparent;background-clip:content-box}::-webkit-scrollbar-track{background:transparent}a,button{transition-timing-function:var(--roark-ease)}button.group>.shrink-0:first-child:has(>svg){width:2rem}"}],"page":{"pagePath":"api-reference/agent-setup/guide-a-running-test-setup","slug":"/api-reference/agent-setup/guide-a-running-test-setup","pageMetadata":{"title":"Guide a running test setup","description":"Tells a running test setup what to focus on or avoid, in your own words. It reads it on its next turn and it outranks setup's own plan. Refused once setup has finished.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/agent/{agentId}/setup/{setupId}/guidance","href":"/api-reference/agent-setup/guide-a-running-test-setup","autogeneratedByOpenApi":true},"description":{"compiledSource":"\"use strict\";\nconst {jsx: _jsx} = arguments[0];\nconst {useMDXComponents: _provideComponents} = arguments[0];\nfunction _createMdxContent(props) {\n const _components = {\n p: \"p\",\n ..._provideComponents(),\n ...props.components\n };\n return _jsx(_components.p, {\n children: \"Tells a running test setup what to focus on or avoid, in your own words. It reads it on its next turn and it outranks setup’s own plan. Refused once setup has finished.\"\n });\n}\nfunction MDXContent(props = {}) {\n const {wrapper: MDXLayout} = {\n ..._provideComponents(),\n ...props.components\n };\n return MDXLayout ? _jsx(MDXLayout, {\n ...props,\n children: _jsx(_createMdxContent, {\n ...props\n })\n }) : _createMdxContent(props);\n}\nreturn {\n default: MDXContent\n};\n","frontmatter":{},"scope":{}},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"codeStyling":{"theme":{"light":"everforest-light","dark":"everforest-dark"}},"config":{},"pageMetadata":{"title":"Guide a running test setup","description":"Tells a running test setup what to focus on or avoid, in your own words. It reads it on its next turn and it outranks setup's own plan. Refused once setup has finished.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/agent/{agentId}/setup/{setupId}/guidance","href":"/api-reference/agent-setup/guide-a-running-test-setup","autogeneratedByOpenApi":true}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":[],"openApiReferenceData":{"operation":{"responses":{"202":"287355a7-d2a9-4a6f-8b47-be8d19ee6b58","400":"7e83e02d-d6e4-4083-82fa-d0f3cd3b4ad4","401":"75f78f33-a32f-4a27-be93-441313cc729a","403":"48ee17ed-c916-4074-a53d-c230a7a3becc","404":"00b3e5b3-781f-4293-8ecf-b47c7534823e","409":"ef3a12b6-a9cd-4bbb-93b9-90c801e3d2f6","500":"7c51627c-19bf-4616-a8eb-bdaddc9716d1"},"operationId":"postV1AgentByAgentIdSetupBySetupIdGuidance","tags":["Agent Setup"],"summary":"Guide a running test setup","description":"Tells a running test setup what to focus on or avoid, in your own words. It reads it on its next turn and it outranks setup's own plan. Refused once setup has finished.","parameters":["13afa8b9-a341-4cfe-8ce3-fc3a13a83d2e","351be88e-faf2-4831-b2c5-22adf1d3056b"],"requestBody":"fa92eb80-3b93-4a0a-b50f-d4da08a8fe8a","x-codeSamples":[{"lang":"JavaScript","source":"import Roark from '@roarkanalytics/sdk';\n\nconst client = new Roark({\n bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted\n});\n\nconst response = await client.agentSetup.sendGuidance('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {\n agentId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',\n text: 'x',\n});\n\nconsole.log(response.data);"},{"lang":"Python","source":"import os\nfrom roark_analytics import Roark\n\nclient = Roark(\n bearer_token=os.environ.get(\"ROARK_API_BEARER_TOKEN\"), # This is the default and can be omitted\n)\nresponse = client.agent_setup.send_guidance(\n setup_id=\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n agent_id=\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n text=\"x\",\n)\nprint(response.data)"}],"method":"post","type":"path","servers":["79950302-db94-4418-b7ae-04b5133c6b9a"],"security":["1c4229f5-8a45-4b8d-98d0-c524e543fb6d"],"path":"/v1/agent/{agentId}/setup/{setupId}/guidance","baseUrlOptions":["https://api.roark.ai"],"title":"Guide a running test setup","codeSamples":[{"lang":"JavaScript","source":"import Roark from '@roarkanalytics/sdk';\n\nconst client = new Roark({\n bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted\n});\n\nconst response = await client.agentSetup.sendGuidance('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {\n agentId: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',\n text: 'x',\n});\n\nconsole.log(response.data);"},{"lang":"Python","source":"import os\nfrom roark_analytics import Roark\n\nclient = Roark(\n bearer_token=os.environ.get(\"ROARK_API_BEARER_TOKEN\"), # This is the default and can be omitted\n)\nresponse = client.agent_setup.send_guidance(\n setup_id=\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n agent_id=\"182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e\",\n text=\"x\",\n)\nprint(response.data)"}],"requiredOnlyExamples":false,"requestExampleType":"codeSamples","responseExampleType":"generated"},"dependencies":{"parameters":{"13afa8b9-a341-4cfe-8ce3-fc3a13a83d2e":{"in":"path","name":"agentId","schema":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"","typeLabel":"string\u003cuuid>"},"required":true},"351be88e-faf2-4831-b2c5-22adf1d3056b":{"in":"path","name":"setupId","schema":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"","typeLabel":"string\u003cuuid>"},"required":true}},"requestBody":{"content":{"application/json":{"schema":{"type":"object","properties":{"text":{"type":"string","minLength":1,"maxLength":4000,"description":"What you want setup to know","isRequired":true,"uniqueKey":"text","typeLabel":"string"}},"required":["text"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"text":"\u003cstring>"}}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"287355a7-d2a9-4a6f-8b47-be8d19ee6b58":{"description":"Setup will read it on its next turn","content":{"application/json":{"schema":{"type":"object","properties":{"data":{"type":"object","properties":{"id":{"type":"string","format":"uuid","description":"Setup ID","isRequired":true,"uniqueKey":"data.id","typeLabel":"string\u003cuuid>"},"agentId":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"data.agentId","typeLabel":"string\u003cuuid>"},"status":{"type":"string","enum":["PENDING","RUNNING","NEEDS_INPUT","COMPLETED","FAILED","CANCELLED"],"description":"PENDING, RUNNING, NEEDS_INPUT (waiting on a question; it goes ahead with the default if nobody answers), COMPLETED, FAILED or CANCELLED","isRequired":true,"uniqueKey":"data.status","typeLabel":"enum\u003cstring>"},"layers":{"type":"array","items":{"type":"object","properties":{"layer":{"type":"string","enum":["CORE","INDUSTRY","CAPABILITY","AGENT_CONTEXT","EXPLORATION","CUSTOMER_INSTRUCTIONS"],"isRequired":true,"uniqueKey":"data.layers.items.[INDEX].layer","typeLabel":"enum\u003cstring>"},"status":{"type":"string","enum":["COVERED","SKIPPED","OPEN","NOT_APPLICABLE"],"description":"COVERED: tests exist for it, or are added when setup finishes. SKIPPED: setup could not test it and said why. OPEN: not covered yet; setup does not finish while a layer is open. NOT_APPLICABLE: nothing to test it from.","isRequired":true,"uniqueKey":"data.layers.items.[INDEX].status","typeLabel":"enum\u003cstring>"},"summary":{"type":"string","isRequired":true,"uniqueKey":"data.layers.items.[INDEX].summary","typeLabel":"string"}},"required":["layer","status","summary"],"description":"Where one part of testing the agent stands","uniqueKey":"data.layers.items.[INDEX]","typeLabel":"object"},"description":"The checklist setup works through","isRequired":true,"uniqueKey":"data.layers","typeLabel":"object[]"},"question":{"oneOf":[{"type":"object","properties":{"question":{"type":"string","isRequired":true,"uniqueKey":"data.question.oneOf.0.question","typeLabel":"string"},"options":{"type":"array","items":{"type":"string","uniqueKey":"data.question.oneOf.0.options.items.[INDEX]","typeLabel":"string"},"isRequired":true,"uniqueKey":"data.question.oneOf.0.options","typeLabel":"string[]"},"defaultOption":{"type":"string","isRequired":true,"uniqueKey":"data.question.oneOf.0.defaultOption","typeLabel":"string"}},"required":["question","options","defaultOption"],"description":"The question setup is waiting on, while NEEDS_INPUT","isRequired":true,"uniqueKey":"data.question.oneOf.0","typeLabel":"object"},{"type":"null","properties":{"question":{"type":"string"},"options":{"type":"array","items":{"type":"string"}},"defaultOption":{"type":"string"}},"required":["question","options","defaultOption"],"description":"The question setup is waiting on, while NEEDS_INPUT","isRequired":true,"uniqueKey":"data.question.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.question","typeLabel":"object | null"},"activity":{"type":"array","items":{"type":"object","properties":{"kind":{"type":"string","enum":["STATUS","REASONING","ACTION","GUIDANCE","QUESTION","ANSWER","EXPLORATION","ERROR"],"description":"STATUS, REASONING, ACTION, GUIDANCE, QUESTION, ANSWER, EXPLORATION or ERROR","isRequired":true,"uniqueKey":"data.activity.items.[INDEX].kind","typeLabel":"enum\u003cstring>"},"text":{"type":"string","isRequired":true,"uniqueKey":"data.activity.items.[INDEX].text","typeLabel":"string"},"createdAt":{"type":"string","isRequired":true,"uniqueKey":"data.activity.items.[INDEX].createdAt","typeLabel":"string"}},"required":["kind","text","createdAt"],"description":"One thing setup did or said, in order","uniqueKey":"data.activity.items.[INDEX]","typeLabel":"object"},"description":"What setup did and said, in order","isRequired":true,"uniqueKey":"data.activity","typeLabel":"object[]"},"industry":{"oneOf":[{"type":"string","enum":["HEALTHCARE","FINANCIAL_SERVICES","INSURANCE","DEBT_COLLECTION","RETAIL","TRAVEL_AND_HOSPITALITY","TELECOMMUNICATIONS","TECHNOLOGY","PUBLIC_SECTOR","UTILITIES","LOGISTICS","AUTOMOTIVE","HOME_SERVICES","RESTAURANTS","EDUCATION","OTHER"],"isRequired":true,"uniqueKey":"data.industry.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["HEALTHCARE","FINANCIAL_SERVICES","INSURANCE","DEBT_COLLECTION","RETAIL","TRAVEL_AND_HOSPITALITY","TELECOMMUNICATIONS","TECHNOLOGY","PUBLIC_SECTOR","UTILITIES","LOGISTICS","AUTOMOTIVE","HOME_SERVICES","RESTAURANTS","EDUCATION","OTHER"],"isRequired":true,"uniqueKey":"data.industry.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.industry","typeLabel":"enum\u003cstring> | null"},"capabilities":{"type":"array","items":{"type":"string","enum":["APPOINTMENT_BOOKING","FAQ","IDENTITY_VERIFICATION","ACCOUNT_MANAGEMENT","BILLING_AND_PAYMENTS","ORDER_MANAGEMENT","TROUBLESHOOTING","CALL_ROUTING","LEAD_QUALIFICATION","COLLECTIONS","OUTBOUND_CALLING"],"uniqueKey":"data.capabilities.items.[INDEX]","typeLabel":"enum\u003cstring>"},"isRequired":true,"uniqueKey":"data.capabilities","typeLabel":"enum\u003cstring>[]"},"runPlanId":{"oneOf":[{"type":"string","format":"uuid","description":"The run plan to start once setup completes","isRequired":true,"uniqueKey":"data.runPlanId.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","format":"uuid","description":"The run plan to start once setup completes","isRequired":true,"uniqueKey":"data.runPlanId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.runPlanId","typeLabel":"string\u003cuuid> | null"},"explore":{"type":"object","properties":{"enabled":{"type":"boolean","isRequired":true,"uniqueKey":"data.explore.enabled","typeLabel":"boolean"},"maxConversations":{"type":"integer","isRequired":true,"uniqueKey":"data.explore.maxConversations","typeLabel":"integer"},"maxConversationMinutes":{"type":"integer","isRequired":true,"uniqueKey":"data.explore.maxConversationMinutes","typeLabel":"integer"},"conversationsUsed":{"type":"integer","isRequired":true,"uniqueKey":"data.explore.conversationsUsed","typeLabel":"integer"}},"required":["enabled","maxConversations","maxConversationMinutes","conversationsUsed"],"isRequired":true,"uniqueKey":"data.explore","typeLabel":"object"},"testDataNeeded":{"type":"array","items":{"type":"object","properties":{"label":{"type":"string","isRequired":true,"uniqueKey":"data.testDataNeeded.items.[INDEX].label","typeLabel":"string"},"reason":{"type":"string","isRequired":true,"uniqueKey":"data.testDataNeeded.items.[INDEX].reason","typeLabel":"string"},"callId":{"oneOf":[{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"data.testDataNeeded.items.[INDEX].callId.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","format":"uuid","isRequired":true,"uniqueKey":"data.testDataNeeded.items.[INDEX].callId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.testDataNeeded.items.[INDEX].callId","typeLabel":"string\u003cuuid> | null"}},"required":["label","reason","callId"],"uniqueKey":"data.testDataNeeded.items.[INDEX]","typeLabel":"object"},"description":"Test data the agent asked for that Roark did not have","isRequired":true,"uniqueKey":"data.testDataNeeded","typeLabel":"object[]"},"errorMessage":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"data.errorMessage.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"data.errorMessage.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.errorMessage","typeLabel":"string | null"},"items":{"type":"array","items":{"type":"object","properties":{"id":{"type":"string","format":"uuid","isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].id","typeLabel":"string\u003cuuid>"},"layer":{"type":"string","enum":["CORE","INDUSTRY","CAPABILITY","AGENT_CONTEXT","EXPLORATION","CUSTOMER_INSTRUCTIONS"],"description":"Why it exists: CORE (every agent), INDUSTRY, CAPABILITY, AGENT_CONTEXT (your prompt or website), EXPLORATION or CUSTOMER_INSTRUCTIONS","isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].layer","typeLabel":"enum\u003cstring>"},"kind":{"type":"string","enum":["FLOW","METRIC","CHECK","LAYER"],"description":"A flow, a metric, or a pass or fail check","isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].kind","typeLabel":"enum\u003cstring>"},"action":{"type":"string","enum":["CREATED","SKIPPED"],"description":"CREATED, or SKIPPED with the reason","isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].action","typeLabel":"enum\u003cstring>"},"resourceId":{"oneOf":[{"type":"string","format":"uuid","description":"The flow or metric it created","isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].resourceId.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","format":"uuid","description":"The flow or metric it created","isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].resourceId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].resourceId","typeLabel":"string\u003cuuid> | null"},"label":{"type":"string","isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].label","typeLabel":"string"},"capability":{"oneOf":[{"type":"string","enum":["APPOINTMENT_BOOKING","FAQ","IDENTITY_VERIFICATION","ACCOUNT_MANAGEMENT","BILLING_AND_PAYMENTS","ORDER_MANAGEMENT","TROUBLESHOOTING","CALL_ROUTING","LEAD_QUALIFICATION","COLLECTIONS","OUTBOUND_CALLING"],"isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].capability.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["APPOINTMENT_BOOKING","FAQ","IDENTITY_VERIFICATION","ACCOUNT_MANAGEMENT","BILLING_AND_PAYMENTS","ORDER_MANAGEMENT","TROUBLESHOOTING","CALL_ROUTING","LEAD_QUALIFICATION","COLLECTIONS","OUTBOUND_CALLING"],"isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].capability.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].capability","typeLabel":"enum\u003cstring> | null"},"source":{"type":"object","properties":{"type":{"type":"string","enum":["CATALOGUE","PROMPT","DESCRIPTION","WEBSITE","EXPLORATION_CALL","INSTRUCTIONS"],"isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].source.type","typeLabel":"enum\u003cstring>"},"url":{"oneOf":[{"type":"string","description":"The page it came from, for website sources","isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].source.url.oneOf.0","typeLabel":"string"},{"type":"null","description":"The page it came from, for website sources","isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].source.url.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].source.url","typeLabel":"string | null"},"callId":{"oneOf":[{"type":"string","format":"uuid","description":"The exploration call it came from","isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].source.callId.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","format":"uuid","description":"The exploration call it came from","isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].source.callId.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].source.callId","typeLabel":"string\u003cuuid> | null"},"offsetMs":{"oneOf":[{"type":"integer","description":"Where in the call","isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].source.offsetMs.oneOf.0","typeLabel":"integer"},{"type":"null","description":"Where in the call","isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].source.offsetMs.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].source.offsetMs","typeLabel":"integer | null"},"quote":{"oneOf":[{"type":"string","description":"The words in the source that led to it","isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].source.quote.oneOf.0","typeLabel":"string"},{"type":"null","description":"The words in the source that led to it","isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].source.quote.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].source.quote","typeLabel":"string | null"}},"required":["type","url","callId","offsetMs","quote"],"isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].source","typeLabel":"object"},"reason":{"type":"string","isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].reason","typeLabel":"string"},"origin":{"oneOf":[{"type":"string","enum":["DISCOVERED","INFERRED"],"description":"Exploration only: DISCOVERED on a call, or INFERRED from a path the agent offered","isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].origin.oneOf.0","typeLabel":"enum\u003cstring>"},{"type":"null","enum":["DISCOVERED","INFERRED"],"description":"Exploration only: DISCOVERED on a call, or INFERRED from a path the agent offered","isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].origin.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.\\items.items.[INDEX].origin","typeLabel":"enum\u003cstring> | null"}},"required":["id","layer","kind","action","resourceId","label","capability","source","reason","origin"],"description":"Something setup created or chose to leave out, and why","uniqueKey":"data.\\items.items.[INDEX]","typeLabel":"object"},"isRequired":true,"uniqueKey":"data.\\items","typeLabel":"object[]"},"createdAt":{"type":"string","isRequired":true,"uniqueKey":"data.createdAt","typeLabel":"string"},"completedAt":{"oneOf":[{"type":"string","isRequired":true,"uniqueKey":"data.completedAt.oneOf.0","typeLabel":"string"},{"type":"null","isRequired":true,"uniqueKey":"data.completedAt.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"data.completedAt","typeLabel":"string | null"}},"required":["id","agentId","status","layers","question","activity","industry","capabilities","runPlanId","explore","testDataNeeded","errorMessage","items","createdAt","completedAt"],"description":"The tests Roark generated for an agent, and why","isRequired":true,"uniqueKey":"data","typeLabel":"object"}},"required":["data"],"uniqueKey":"","typeLabel":"object"},"examples":{"Example":{"title":"Example","value":{"data":{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","agentId":"3c90c3cc-0d44-4b50-8888-8dd25736052a","status":"PENDING","layers":[{"layer":"CORE","status":"COVERED","summary":"\u003cstring>"}],"question":{"question":"\u003cstring>","options":["\u003cstring>"],"defaultOption":"\u003cstring>"},"activity":[{"kind":"STATUS","text":"\u003cstring>","createdAt":"\u003cstring>"}],"industry":"HEALTHCARE","capabilities":["APPOINTMENT_BOOKING"],"runPlanId":"3c90c3cc-0d44-4b50-8888-8dd25736052a","explore":{"enabled":true,"maxConversations":123,"maxConversationMinutes":123,"conversationsUsed":123},"testDataNeeded":[{"label":"\u003cstring>","reason":"\u003cstring>","callId":"3c90c3cc-0d44-4b50-8888-8dd25736052a"}],"errorMessage":"\u003cstring>","items":[{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","layer":"CORE","kind":"FLOW","action":"CREATED","resourceId":"3c90c3cc-0d44-4b50-8888-8dd25736052a","label":"\u003cstring>","capability":"APPOINTMENT_BOOKING","source":{"type":"CATALOGUE","url":"\u003cstring>","callId":"3c90c3cc-0d44-4b50-8888-8dd25736052a","offsetMs":123,"quote":"\u003cstring>"},"reason":"\u003cstring>","origin":"DISCOVERED"}],"createdAt":"\u003cstring>","completedAt":"\u003cstring>"}}}},"exampleType":"generated"}},"exampleType":"generated"},"7e83e02d-d6e4-4083-82fa-d0f3cd3b4ad4":{"content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","enum":["validation","authentication","forbidden","not_found","conflict","payment_required","rate_limit","internal"],"description":"The error type category","examples":["validation","authentication"],"isRequired":true,"uniqueKey":"type","typeLabel":"enum\u003cstring>"},"code":{"type":"string","description":"Machine-readable error code identifier","examples":["invalid_parameter","missing_required_field","unauthorized"],"isRequired":true,"uniqueKey":"code","typeLabel":"string"},"message":{"type":"string","description":"Human-readable error message","examples":["The request was invalid","Authentication required"],"isRequired":true,"uniqueKey":"message","typeLabel":"string"},"param":{"type":"string","description":"The parameter that caused the error (if applicable)","examples":["email","user_id"],"uniqueKey":"param","typeLabel":"string"},"details":{"description":"Additional error context information","uniqueKey":"details","typeLabel":"any"}},"required":["type","code","message"],"description":"Validation error","uniqueKey":"","typeLabel":"object"},"example":{"type":"validation","code":"invalid_parameter","message":"The request was invalid","param":"email"},"examples":{"Example":{"title":"Example","value":{"type":"validation","code":"invalid_parameter","message":"The request was invalid","param":"email"}}},"exampleType":"examples"}},"description":"Bad Request","exampleType":"examples"},"75f78f33-a32f-4a27-be93-441313cc729a":{"content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","enum":["validation","authentication","forbidden","not_found","conflict","payment_required","rate_limit","internal"],"description":"The error type category","examples":["validation","authentication"],"isRequired":true,"uniqueKey":"type","typeLabel":"enum\u003cstring>"},"code":{"type":"string","description":"Machine-readable error code identifier","examples":["invalid_parameter","missing_required_field","unauthorized"],"isRequired":true,"uniqueKey":"code","typeLabel":"string"},"message":{"type":"string","description":"Human-readable error message","examples":["The request was invalid","Authentication required"],"isRequired":true,"uniqueKey":"message","typeLabel":"string"},"param":{"type":"string","description":"The parameter that caused the error (if applicable)","examples":["email","user_id"],"uniqueKey":"param","typeLabel":"string"},"details":{"description":"Additional error context information","uniqueKey":"details","typeLabel":"any"}},"required":["type","code","message"],"description":"Authentication error","uniqueKey":"","typeLabel":"object"},"example":{"type":"authentication","code":"unauthorized","message":"Authentication required"},"examples":{"Example":{"title":"Example","value":{"type":"authentication","code":"unauthorized","message":"Authentication required"}}},"exampleType":"examples"}},"description":"Unauthorized","exampleType":"examples"},"48ee17ed-c916-4074-a53d-c230a7a3becc":{"content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","enum":["validation","authentication","forbidden","not_found","conflict","payment_required","rate_limit","internal"],"description":"The error type category","examples":["validation","authentication"],"isRequired":true,"uniqueKey":"type","typeLabel":"enum\u003cstring>"},"code":{"type":"string","description":"Machine-readable error code identifier","examples":["invalid_parameter","missing_required_field","unauthorized"],"isRequired":true,"uniqueKey":"code","typeLabel":"string"},"message":{"type":"string","description":"Human-readable error message","examples":["The request was invalid","Authentication required"],"isRequired":true,"uniqueKey":"message","typeLabel":"string"},"param":{"type":"string","description":"The parameter that caused the error (if applicable)","examples":["email","user_id"],"uniqueKey":"param","typeLabel":"string"},"details":{"description":"Additional error context information","uniqueKey":"details","typeLabel":"any"}},"required":["type","code","message"],"description":"Permission error","uniqueKey":"","typeLabel":"object"},"example":{"type":"forbidden","code":"permission_denied","message":"You do not have permission to access this resource"},"examples":{"Example":{"title":"Example","value":{"type":"forbidden","code":"permission_denied","message":"You do not have permission to access this resource"}}},"exampleType":"examples"}},"description":"Forbidden","exampleType":"examples"},"00b3e5b3-781f-4293-8ecf-b47c7534823e":{"content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","enum":["validation","authentication","forbidden","not_found","conflict","payment_required","rate_limit","internal"],"description":"The error type category","examples":["validation","authentication"],"isRequired":true,"uniqueKey":"type","typeLabel":"enum\u003cstring>"},"code":{"type":"string","description":"Machine-readable error code identifier","examples":["invalid_parameter","missing_required_field","unauthorized"],"isRequired":true,"uniqueKey":"code","typeLabel":"string"},"message":{"type":"string","description":"Human-readable error message","examples":["The request was invalid","Authentication required"],"isRequired":true,"uniqueKey":"message","typeLabel":"string"},"param":{"type":"string","description":"The parameter that caused the error (if applicable)","examples":["email","user_id"],"uniqueKey":"param","typeLabel":"string"},"details":{"description":"Additional error context information","uniqueKey":"details","typeLabel":"any"}},"required":["type","code","message"],"description":"Not found error","uniqueKey":"","typeLabel":"object"},"example":{"type":"not_found","code":"resource_not_found","message":"The requested resource could not be found"},"examples":{"Example":{"title":"Example","value":{"type":"not_found","code":"resource_not_found","message":"The requested resource could not be found"}}},"exampleType":"examples"}},"description":"Not Found","exampleType":"examples"},"ef3a12b6-a9cd-4bbb-93b9-90c801e3d2f6":{"content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","enum":["validation","authentication","forbidden","not_found","conflict","payment_required","rate_limit","internal"],"description":"The error type category","examples":["validation","authentication"],"isRequired":true,"uniqueKey":"type","typeLabel":"enum\u003cstring>"},"code":{"type":"string","description":"Machine-readable error code identifier","examples":["invalid_parameter","missing_required_field","unauthorized"],"isRequired":true,"uniqueKey":"code","typeLabel":"string"},"message":{"type":"string","description":"Human-readable error message","examples":["The request was invalid","Authentication required"],"isRequired":true,"uniqueKey":"message","typeLabel":"string"},"param":{"type":"string","description":"The parameter that caused the error (if applicable)","examples":["email","user_id"],"uniqueKey":"param","typeLabel":"string"},"details":{"description":"Additional error context information","uniqueKey":"details","typeLabel":"any"}},"required":["type","code","message"],"description":"Conflict error","uniqueKey":"","typeLabel":"object"},"example":{"type":"conflict","code":"resource_in_use","message":"The resource is in use and cannot be deleted"},"examples":{"Example":{"title":"Example","value":{"type":"conflict","code":"resource_in_use","message":"The resource is in use and cannot be deleted"}}},"exampleType":"examples"}},"description":"Conflict","exampleType":"examples"},"7c51627c-19bf-4616-a8eb-bdaddc9716d1":{"content":{"application/json":{"schema":{"type":"object","properties":{"type":{"type":"string","enum":["validation","authentication","forbidden","not_found","conflict","payment_required","rate_limit","internal"],"description":"The error type category","examples":["validation","authentication"],"isRequired":true,"uniqueKey":"type","typeLabel":"enum\u003cstring>"},"code":{"type":"string","description":"Machine-readable error code identifier","examples":["invalid_parameter","missing_required_field","unauthorized"],"isRequired":true,"uniqueKey":"code","typeLabel":"string"},"message":{"type":"string","description":"Human-readable error message","examples":["The request was invalid","Authentication required"],"isRequired":true,"uniqueKey":"message","typeLabel":"string"},"param":{"type":"string","description":"The parameter that caused the error (if applicable)","examples":["email","user_id"],"uniqueKey":"param","typeLabel":"string"},"details":{"description":"Additional error context information","uniqueKey":"details","typeLabel":"any"}},"required":["type","code","message"],"description":"Server error","uniqueKey":"","typeLabel":"object"},"example":{"type":"internal","code":"internal_error","message":"Internal server error"},"examples":{"Example":{"title":"Example","value":{"type":"internal","code":"internal_error","message":"Internal server error"}}},"exampleType":"examples"}},"description":"Internal Server Error","exampleType":"examples"}},"security":{"1c4229f5-8a45-4b8d-98d0-c524e543fb6d":{"Bearer":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"Bearer"}}},"servers":{"79950302-db94-4418-b7ae-04b5133c6b9a":{"description":"Production","url":"https://api.roark.ai"}},"processedSecurityOptions":[{"schemes":[{"scheme":{"type":"http","scheme":"bearer","bearerFormat":"JWT","scopes":[],"schemeName":"Bearer"},"schema":{"title":"Bearer Auth","type":"string","isRequired":true,"description":"Bearer authentication header of the form `Bearer \u003ctoken>`, where `\u003ctoken>` is your auth token.","format":"bearer","typeLabel":"string\u003cbearer>","deprecated":false},"schemeName":"Bearer","name":"Authorization"}],"title":"Bearer"}]},"originalFileLocation":"api-reference/openapi.documented.json"},"subdomain":"roark","siteName":"Roark Docs","title":"Guide a running test setup - Roark Docs","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-11-17T19:43:09.847Z","originalFileLocation":"api-reference/agent-setup/guide-a-running-test-setup.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"system\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"description\" content=\"Tells a running test setup what to focus on or avoid, in your own words. It reads it on its next turn and it outranks setup\u0026#x27;s own plan. Refused once setup has finished.\">\u003cmeta data-mint-head name=\"application-name\" content=\"Roark Docs\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/roark/E3SiV_DMp7O0imMO/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/mintlify-assets/_mintlify/favicons/roark/E3SiV_DMp7O0imMO/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/roark/E3SiV_DMp7O0imMO/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/roark/E3SiV_DMp7O0imMO/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/roark/E3SiV_DMp7O0imMO/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/mintlify-assets/_mintlify/favicons/roark/E3SiV_DMp7O0imMO/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/mintlify-assets/_mintlify/favicons/roark/E3SiV_DMp7O0imMO/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/mintlify-assets/_mintlify/favicons/roark/E3SiV_DMp7O0imMO/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/mintlify-assets/_mintlify/favicons/roark/E3SiV_DMp7O0imMO/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Guide a running test setup - Roark Docs\">\u003cmeta data-mint-head property=\"og:description\" content=\"Tells a running test setup what to focus on or avoid, in your own words. It reads it on its next turn and it outranks setup\u0026#x27;s own plan. Refused once setup has finished.\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Roark Docs\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://docs.roark.ai/api-reference/agent-setup/guide-a-running-test-setup\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://roark.mintlify.site/_mintlify/api/og/v2?division=Automatic+test+setup\u0026amp;title=Guide+a+running+test+setup\u0026amp;description=Tells+a+running+test+setup+what+to+focus+on+or+avoid%2C+in+your+own+words.+It+reads+it+on+its+next+turn+and+it+outranks+setup%27s+own+plan.+Refused+once+setup+has+f\u0026amp;theme=0f3fa282babd51a23ab3534f\u0026amp;signature=fab635c9e9beeb083964de61dd31db008b4645e1f338e5afd4bfe911a62cf42b\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Guide a running test setup - Roark Docs\">\u003cmeta data-mint-head name=\"twitter:description\" content=\"Tells a running test setup what to focus on or avoid, in your own words. It reads it on its next turn and it outranks setup\u0026#x27;s own plan. Refused once setup has finished.\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://roark.mintlify.site/_mintlify/api/og/v2?division=Automatic+test+setup\u0026amp;title=Guide+a+running+test+setup\u0026amp;description=Tells+a+running+test+setup+what+to+focus+on+or+avoid%2C+in+your+own+words.+It+reads+it+on+its+next+turn+and+it+outranks+setup%27s+own+plan.+Refused+once+setup+has+f\u0026amp;theme=0f3fa282babd51a23ab3534f\u0026amp;signature=fab635c9e9beeb083964de61dd31db008b4645e1f338e5afd4bfe911a62cf42b\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/mintlify-assets/_mintlify/favicons/roark/E3SiV_DMp7O0imMO/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Roark Docs\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#006838\">\u003clink data-mint-head rel=\"canonical\" href=\"https://docs.roark.ai/api-reference/agent-setup/guide-a-running-test-setup\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/api-reference/agent-setup/guide-a-running-test-setup.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://docs.roark.ai/#organization\",\"name\":\"Roark Docs\",\"url\":\"https://docs.roark.ai\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/roark/roh5qorg6REL9dkn/images/logo/light.svg?fit=max\u0026auto=format\u0026n=roh5qorg6REL9dkn\u0026q=85\u0026s=040c5cac74f0bd94ad25a3ccfdb45dbc\"}},{\"@type\":\"WebSite\",\"@id\":\"https://docs.roark.ai#website\",\"name\":\"Roark Docs\",\"url\":\"https://docs.roark.ai\",\"publisher\":{\"@id\":\"https://docs.roark.ai/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://docs.roark.ai/api-reference/agent-setup/guide-a-running-test-setup#webpage\",\"url\":\"https://docs.roark.ai/api-reference/agent-setup/guide-a-running-test-setup\",\"name\":\"Guide a running test setup\",\"description\":\"Tells a running test setup what to focus on or avoid, in your own words. It reads it on its next turn and it outranks setup's own plan. Refused once setup has finished.\",\"dateModified\":\"2026-11-17T19:43:09.847Z\",\"isPartOf\":{\"@id\":\"https://docs.roark.ai#website\"},\"breadcrumb\":{\"@id\":\"https://docs.roark.ai/api-reference/agent-setup/guide-a-running-test-setup#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://docs.roark.ai/api-reference/agent-setup/guide-a-running-test-setup#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"Agents\",\"item\":\"https://docs.roark.ai/api-reference/agent/list-agents\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"Automatic test setup\",\"item\":\"https://docs.roark.ai/api-reference/agent-setup/set-up-tests-for-an-agent\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Guide a running test setup\",\"item\":\"https://docs.roark.ai/api-reference/agent-setup/guide-a-running-test-setup\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://docs.roark.ai/api-reference/agent-setup/guide-a-running-test-setup#apireference\",\"headline\":\"Guide a running test setup\",\"name\":\"Guide a running test setup\",\"description\":\"Tells a running test setup what to focus on or avoid, in your own words. It reads it on its next turn and it outranks setup's own plan. Refused once setup has finished.\",\"url\":\"https://docs.roark.ai/api-reference/agent-setup/guide-a-running-test-setup\",\"mainEntityOfPage\":{\"@id\":\"https://docs.roark.ai/api-reference/agent-setup/guide-a-running-test-setup#webpage\"},\"dateModified\":\"2026-11-17T19:43:09.847Z\",\"publisher\":{\"@id\":\"https://docs.roark.ai/#organization\"},\"isPartOf\":{\"@id\":\"https://docs.roark.ai#website\"}}]}\u003c/script>\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@type\":\"WebSite\",\"name\":\"Roark Docs\",\"publisher\":{\"@type\":\"Organization\",\"name\":\"Roark Docs\"},\"provider\":{\"@type\":\"Organization\",\"name\":\"Mintlify\",\"url\":\"https://mintlify.com\"}}\u003c/script>","agentPointerHref":"/api-reference/agent-setup/guide-a-running-test-setup.md","siteName":"Roark Docs","nav":{"global":{},"tabs":[{"tab":"Guides","icon":"book","pages":[{"title":"Guides","href":"/documentation/getting-started/introduction"}]},{"tab":"Config as Code","icon":"file-code","pages":[{"title":"Config as Code","href":"/documentation/config-as-code/overview"}]},{"tab":"SDKs \u0026 CLI","icon":"code","pages":[{"title":"SDKs \u0026 CLI","href":"/documentation/sdks/node-sdk"}]},{"tab":"API Reference","icon":"terminal","groups":[{"group":"API Reference","pages":[{"title":"Introduction","href":"/api-reference/introduction"},{"title":"Authorization","href":"/api-reference/authorization"},{"group":"Health","icon":"folder","pages":[{"title":"Get API health status","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /health","href":"/api-reference/health/get-api-health-status"}]}]},{"group":"Authentication","pages":[{"group":"Current credential","icon":"folder","pages":[{"title":"List accessible projects","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/projects","href":"/api-reference/authentication/list-accessible-projects"},{"title":"Get the current credential","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/me","href":"/api-reference/authentication/get-the-current-credential"}]},{"group":"Project API keys","icon":"folder","pages":[{"title":"List project API keys","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/org/project/{projectId}/api-key","href":"/api-reference/project-api-key/list-project-api-keys"},{"title":"Create a project API key","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/org/project/{projectId}/api-key","href":"/api-reference/project-api-key/create-a-project-api-key"},{"title":"Revoke a project API key","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/org/project/{projectId}/api-key/{keyId}","href":"/api-reference/project-api-key/revoke-a-project-api-key"}]},{"group":"Personal API keys","icon":"folder","pages":[{"title":"List personal API keys","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/me/api-keys","href":"/api-reference/personal-api-key/list-personal-api-keys"},{"title":"Create a personal API key","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/me/api-keys","href":"/api-reference/personal-api-key/create-a-personal-api-key"},{"title":"Revoke a personal API key","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/me/api-keys/{id}","href":"/api-reference/personal-api-key/revoke-a-personal-api-key"}]}]},{"group":"Agents","pages":[{"group":"Agents","icon":"folder","pages":[{"title":"List agents","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/agent","href":"/api-reference/agent/list-agents"},{"title":"Create an agent","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/agent","href":"/api-reference/agent/create-an-agent"},{"title":"Get an agent","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/agent/{agentId}","href":"/api-reference/agent/get-an-agent"},{"title":"Update an agent","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/agent/{agentId}","href":"/api-reference/agent/update-an-agent"},{"title":"Delete an agent","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/agent/{agentId}","href":"/api-reference/agent/delete-an-agent"},{"title":"List an agent's prompts","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/agent/{agentId}/prompts","href":"/api-reference/agent/list-an-agents-prompts"},{"title":"Set an agent's prompt","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/agent/{agentId}/prompts","href":"/api-reference/agent/set-an-agents-prompt"},{"title":"List a prompt's versions","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/agent/{agentId}/prompts/{promptId}/versions","href":"/api-reference/agent/list-a-prompts-versions"}]},{"group":"Endpoints","icon":"folder","pages":[{"title":"List agent endpoints","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/agent/endpoint","href":"/api-reference/agent-endpoint/list-agent-endpoints"},{"title":"Create an agent endpoint","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/agent/endpoint","href":"/api-reference/agent-endpoint/create-an-agent-endpoint"},{"title":"Get an agent endpoint","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/agent/endpoint/{endpointId}","href":"/api-reference/agent-endpoint/get-an-agent-endpoint"},{"title":"Update an agent endpoint","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/agent/endpoint/{endpointId}","href":"/api-reference/agent-endpoint/update-an-agent-endpoint"}]},{"group":"Tools","icon":"folder","pages":[{"title":"List tools","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/tool","href":"/api-reference/tool/list-tools"},{"title":"Create a tool","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/tool","href":"/api-reference/tool/create-a-tool"},{"title":"Get a tool","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/tool/{toolId}","href":"/api-reference/tool/get-a-tool"},{"title":"Update a tool","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/tool/{toolId}","href":"/api-reference/tool/update-a-tool"},{"title":"Delete a tool","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/tool/{toolId}","href":"/api-reference/tool/delete-a-tool"}]},{"group":"Automatic test setup","icon":"folder","pages":[{"title":"Set up tests for an agent","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/agent/{agentId}/setup","href":"/api-reference/agent-setup/set-up-tests-for-an-agent"},{"title":"Get an agent's latest test setup","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/agent/{agentId}/setup","href":"/api-reference/agent-setup/get-an-agents-latest-test-setup"},{"title":"Get a test setup","description":"Returns one test setup, for example the one a webhook named.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/agent/{agentId}/setup/{setupId}","href":"/api-reference/agent-setup/get-a-test-setup"},{"title":"Guide a running test setup","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/agent/{agentId}/setup/{setupId}/guidance","href":"/api-reference/agent-setup/guide-a-running-test-setup"},{"title":"Answer a test setup's question","description":"Answers the question a setup is waiting on (status NEEDS_INPUT). If nobody answers within 15 minutes, setup goes ahead with its default.","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/agent/{agentId}/setup/{setupId}/answer","href":"/api-reference/agent-setup/answer-a-test-setups-question"},{"title":"Cancel a running test setup","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/agent/{agentId}/setup/{setupId}/cancel","href":"/api-reference/agent-setup/cancel-a-running-test-setup"}]},{"group":"Autoimprove","icon":"folder","pages":[{"title":"List Autoimprove jobs","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/autoimprove/job","href":"/api-reference/autoimprove/list-autoimprove-jobs"},{"title":"Start an Autoimprove job","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/autoimprove/job","href":"/api-reference/autoimprove/start-an-autoimprove-job"},{"title":"Get an Autoimprove job","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/autoimprove/job/{jobId}","href":"/api-reference/autoimprove/get-an-autoimprove-job"},{"title":"Guide a running Autoimprove job","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/autoimprove/job/{jobId}/guidance","href":"/api-reference/autoimprove/guide-a-running-autoimprove-job"},{"title":"Answer Roark's question","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/autoimprove/job/{jobId}/answer","href":"/api-reference/autoimprove/answer-roarks-question"},{"title":"Cancel an Autoimprove job","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/autoimprove/job/{jobId}/cancel","href":"/api-reference/autoimprove/cancel-an-autoimprove-job"},{"title":"Promote an Autoimprove job to production","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/autoimprove/job/{jobId}/promote","href":"/api-reference/autoimprove/promote-an-autoimprove-job-to-production"},{"title":"Dismiss an Autoimprove job","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/autoimprove/job/{jobId}/dismiss","href":"/api-reference/autoimprove/dismiss-an-autoimprove-job"},{"title":"List managed configs","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/agent-config","href":"/api-reference/autoimprove/list-managed-configs"},{"title":"Get a managed config","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/agent-config/{key}","href":"/api-reference/autoimprove/get-a-managed-config"},{"title":"Write a config revision","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/agent-config/{key}","href":"/api-reference/autoimprove/write-a-config-revision"},{"title":"Resolve config for a session","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/agent-config/{key}/resolve","href":"/api-reference/autoimprove/resolve-config-for-a-session"},{"title":"Promote staging to production","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/agent-config/{key}/promote","href":"/api-reference/autoimprove/promote-staging-to-production"},{"title":"Discard the staging revision","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/agent-config/{key}/staging","href":"/api-reference/autoimprove/discard-the-staging-revision"}]}]},{"group":"Simulate","pages":[{"group":"Customer flows","icon":"folder","pages":[{"title":"List customer flows","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/customer-flow","href":"/api-reference/customer-flow/list-customer-flows"},{"title":"Create a customer flow","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/customer-flow","href":"/api-reference/customer-flow/create-a-customer-flow"},{"title":"Get a customer flow","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/customer-flow/{flowId}","href":"/api-reference/customer-flow/get-a-customer-flow"},{"title":"Update a customer flow","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/customer-flow/{flowId}","href":"/api-reference/customer-flow/update-a-customer-flow"},{"title":"Delete a customer flow","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/customer-flow/{flowId}","href":"/api-reference/customer-flow/delete-a-customer-flow"},{"title":"Replace a scripted flow's steps","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/customer-flow/{flowId}/graph","href":"/api-reference/customer-flow/replace-a-scripted-flows-steps"},{"title":"Update a flow's happy path","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/customer-flow/{flowId}/happy-path","href":"/api-reference/customer-flow/update-a-flows-happy-path"},{"title":"Duplicate a customer flow","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/customer-flow/{flowId}/duplicate","href":"/api-reference/customer-flow/duplicate-a-customer-flow"},{"title":"Add an edge case","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/customer-flow/{flowId}/edge-case","href":"/api-reference/customer-flow/add-an-edge-case"},{"title":"Update an edge case","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/customer-flow/{flowId}/edge-case/{edgeCaseId}","href":"/api-reference/customer-flow/update-an-edge-case"},{"title":"Remove an edge case","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/customer-flow/{flowId}/edge-case/{edgeCaseId}","href":"/api-reference/customer-flow/remove-an-edge-case"},{"title":"Promote an edge case to the happy path","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/customer-flow/{flowId}/edge-case/{edgeCaseId}/promote","href":"/api-reference/customer-flow/promote-an-edge-case-to-the-happy-path"},{"title":"List audio clips","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/simulation/audio-clip","href":"/api-reference/customer-flow/list-audio-clips"}]},{"group":"Personas","icon":"folder","pages":[{"title":"List personas","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/persona","href":"/api-reference/simulation-persona/list-personas"},{"title":"Create a persona","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/persona","href":"/api-reference/simulation-persona/create-a-persona"},{"title":"Get a persona","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/persona/{personaId}","href":"/api-reference/simulation-persona/get-a-persona"},{"title":"Update a persona","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/persona/{personaId}","href":"/api-reference/simulation-persona/update-a-persona"},{"title":"Delete a persona","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/persona/{personaId}","href":"/api-reference/simulation-persona/delete-a-persona"}]},{"group":"Environments","icon":"folder","pages":[{"title":"List environments","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/simulation/environment","href":"/api-reference/simulation-environment/list-environments"},{"title":"Create an environment","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/simulation/environment","href":"/api-reference/simulation-environment/create-an-environment"},{"title":"Get an environment","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/simulation/environment/{environmentId}","href":"/api-reference/simulation-environment/get-an-environment"},{"title":"Update an environment","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/simulation/environment/{environmentId}","href":"/api-reference/simulation-environment/update-an-environment"},{"title":"Delete an environment","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/simulation/environment/{environmentId}","href":"/api-reference/simulation-environment/delete-an-environment"}]},{"group":"Templates","icon":"folder","pages":[{"title":"List simulation templates","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/simulation/template","href":"/api-reference/simulation-template/list-simulation-templates"}]},{"group":"Plans","icon":"folder","pages":[{"title":"List run plans","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/simulation/plan","href":"/api-reference/simulation-run-plan/list-run-plans"},{"title":"Create a run plan","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/simulation/plan","href":"/api-reference/simulation-run-plan/create-a-run-plan"},{"title":"Get a run plan","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/simulation/plan/{planId}","href":"/api-reference/simulation-run-plan/get-a-run-plan"},{"title":"Update a run plan","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/simulation/plan/{planId}","href":"/api-reference/simulation-run-plan/update-a-run-plan"},{"title":"Delete a run plan","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/simulation/plan/{planId}","href":"/api-reference/simulation-run-plan/delete-a-run-plan"},{"title":"List plan groups","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/simulation/group","href":"/api-reference/simulation-run-plan/list-plan-groups"},{"title":"Create a plan group","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/simulation/group","href":"/api-reference/simulation-run-plan/create-a-plan-group"},{"title":"Get a plan group","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/simulation/group/{groupId}","href":"/api-reference/simulation-run-plan/get-a-plan-group"},{"title":"Update a plan group","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/simulation/group/{groupId}","href":"/api-reference/simulation-run-plan/update-a-plan-group"},{"title":"Delete a plan group","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/simulation/group/{groupId}","href":"/api-reference/simulation-run-plan/delete-a-plan-group"},{"title":"Run a plan group","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/simulation/group/{groupId}/run","href":"/api-reference/simulation-run-plan/run-a-plan-group"}]},{"group":"Runs","icon":"folder","pages":[{"title":"List simulation runs","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/simulation/plan/jobs","href":"/api-reference/simulation-run/list-simulation-runs"},{"title":"Run a simulation","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/simulation/run","href":"/api-reference/simulation-run/run-a-simulation"},{"title":"Get a simulation run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/simulation/plan/job/{jobId}","href":"/api-reference/simulation-run/get-a-simulation-run"},{"title":"Delete a simulation run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/simulation/plan/job/{jobId}","href":"/api-reference/simulation-run/delete-a-simulation-run"},{"title":"Cancel a simulation run","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/simulation/plan/job/{jobId}/cancel","href":"/api-reference/simulation-run/cancel-a-simulation-run"},{"title":"Get a simulation run's results","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/simulation/plan/job/{jobId}/results","href":"/api-reference/simulation-run/get-a-simulation-runs-results"},{"title":"Generate a simulation run debrief","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/simulation/plan/job/{jobId}/debrief","href":"/api-reference/simulation-run/generate-a-simulation-run-debrief"},{"title":"Get a simulation run's cost","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/simulation/plan/job/{jobId}/cost","href":"/api-reference/simulation-run/get-a-simulation-runs-cost"},{"title":"Find a simulated call by phone number","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/simulation/job/lookup","href":"/api-reference/simulation-run/find-a-simulated-call-by-phone-number"},{"title":"Get a simulated call","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/simulation/job/{jobId}","href":"/api-reference/simulation-run/get-a-simulated-call"},{"title":"List run groups","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/simulation/run-group","href":"/api-reference/simulation-run/list-run-groups"},{"title":"Create a run group","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/simulation/run-group","href":"/api-reference/simulation-run/create-a-run-group"},{"title":"Get a run group","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/simulation/run-group/{groupId}","href":"/api-reference/simulation-run/get-a-run-group"},{"title":"Delete a run group","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/simulation/run-group/{groupId}","href":"/api-reference/simulation-run/delete-a-run-group"},{"title":"Regenerate a run group report","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/simulation/run-group/{groupId}/report","href":"/api-reference/simulation-run/regenerate-a-run-group-report"},{"title":"Run a simulation plan","deprecated":true,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/simulation/plan/{planId}/job","href":"/api-reference/simulation-run/run-a-simulation-plan"}]},{"group":"Tool mocks and fixtures","icon":"folder","pages":[{"title":"List tool fixtures","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/simulation/tool-fixture","href":"/api-reference/simulation-tool-mock/list-tool-fixtures"},{"title":"Mock a tool call during a test call","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/simulation/tool-mock","href":"/api-reference/simulation-tool-mock/mock-a-tool-call-during-a-test-call"},{"title":"Set a tool fixture","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/simulation/tool-fixture","href":"/api-reference/simulation-tool-mock/set-a-tool-fixture"},{"title":"Update a tool fixture","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/simulation/tool-fixture/{fixtureId}","href":"/api-reference/simulation-tool-mock/update-a-tool-fixture"},{"title":"Delete a tool fixture","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/simulation/tool-fixture/{fixtureId}","href":"/api-reference/simulation-tool-mock/delete-a-tool-fixture"},{"title":"List mocked tool invocations","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/simulation/job/{jobId}/tool-mock","href":"/api-reference/simulation-tool-mock/list-mocked-tool-invocations"}]}]},{"group":"Metrics","pages":[{"group":"Definitions","icon":"folder","pages":[{"title":"List metric definitions","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/metric/definitions","href":"/api-reference/metric/list-metric-definitions"},{"title":"Create a metric definition","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/metric/definitions","href":"/api-reference/metric/create-a-metric-definition"},{"title":"Get a metric definition","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/metric/definitions/{idOrSlug}","href":"/api-reference/metric/get-a-metric-definition"},{"title":"Update a metric definition","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/metric/definitions/{idOrSlug}","href":"/api-reference/metric/update-a-metric-definition"},{"title":"Delete a metric definition","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/metric/definitions/{idOrSlug}","href":"/api-reference/metric/delete-a-metric-definition"},{"title":"Create a threshold on a metric","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/metric/definitions/{idOrSlug}/thresholds","href":"/api-reference/metric/create-a-threshold-on-a-metric"}]},{"group":"Variants","icon":"folder","pages":[{"title":"List a metric's variants","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/metric/definitions/{idOrSlug}/variants","href":"/api-reference/metric-variant/list-a-metrics-variants"},{"title":"Create a metric variant","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/metric/definitions/{idOrSlug}/variants","href":"/api-reference/metric-variant/create-a-metric-variant"},{"title":"Get a metric variant","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/metric/definitions/{idOrSlug}/variants/{variantId}","href":"/api-reference/metric-variant/get-a-metric-variant"},{"title":"Update a metric variant","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/metric/definitions/{idOrSlug}/variants/{variantId}","href":"/api-reference/metric-variant/update-a-metric-variant"},{"title":"Delete a metric variant","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/metric/definitions/{idOrSlug}/variants/{variantId}","href":"/api-reference/metric-variant/delete-a-metric-variant"}]},{"group":"Policies","icon":"folder","pages":[{"title":"List metric policies","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/metric/policies","href":"/api-reference/metric-policy/list-metric-policies"},{"title":"Create a metric policy","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/metric/policies","href":"/api-reference/metric-policy/create-a-metric-policy"},{"title":"Get a metric policy","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/metric/policies/{policyId}","href":"/api-reference/metric-policy/get-a-metric-policy"},{"title":"Update a metric policy","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/metric/policies/{policyId}","href":"/api-reference/metric-policy/update-a-metric-policy"},{"title":"Delete a metric policy","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/metric/policies/{policyId}","href":"/api-reference/metric-policy/delete-a-metric-policy"}]},{"group":"Collection jobs","icon":"folder","pages":[{"title":"List metric collection jobs","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/metric/collection-jobs","href":"/api-reference/metric-collection-job/list-metric-collection-jobs"},{"title":"Create and run a metric collection job","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/metric/collection-jobs","href":"/api-reference/metric-collection-job/create-and-run-a-metric-collection-job"},{"title":"Get a metric collection job","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/metric/collection-jobs/{jobId}","href":"/api-reference/metric-collection-job/get-a-metric-collection-job"},{"title":"Retry a metric collection job","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/metric/collection-jobs/{jobId}/retry","href":"/api-reference/metric-collection-job/retry-a-metric-collection-job"},{"title":"Cancel a metric collection job","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/metric/collection-jobs/{jobId}/cancel","href":"/api-reference/metric-collection-job/cancel-a-metric-collection-job"},{"title":"Get metric values produced by a metric collection job","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/metric/collection-jobs/{jobId}/metric-values","href":"/api-reference/metric-collection-job/get-metric-values-produced-by-a-metric-collection-job"}]}]},{"group":"Monitoring","pages":[{"group":"Calls","icon":"folder","pages":[{"title":"List calls","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/call","href":"/api-reference/call/list-calls"},{"title":"Create a call","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/call","href":"/api-reference/call/create-a-call"},{"title":"Delete calls in batch","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/call/batch-delete","href":"/api-reference/call/delete-calls-in-batch"},{"title":"Get a call","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/call/{callId}","href":"/api-reference/call/get-a-call"},{"title":"Delete a call","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/call/{callId}","href":"/api-reference/call/delete-a-call"},{"title":"Get call transcript","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/call/{callId}/transcript","href":"/api-reference/call/get-call-transcript"},{"title":"Append tool invocations to a call","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/call/{callId}/tool-invocations","href":"/api-reference/call/append-tool-invocations-to-a-call"},{"title":"Update the properties of a call","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json patch /v1/call/{callId}/properties","href":"/api-reference/call/update-the-properties-of-a-call"},{"title":"Get call cost","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/call/{callId}/cost","href":"/api-reference/call/get-call-cost"},{"title":"List call sentiment runs","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/call/{callId}/sentiment-run","href":"/api-reference/call/list-call-sentiment-runs"},{"title":"List call metrics","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/call/{callId}/metrics","href":"/api-reference/call/list-call-metrics"}]},{"group":"Chats","icon":"folder","pages":[{"title":"List chats","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/chat","href":"/api-reference/chat/list-chats"},{"title":"Create a chat","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/chat","href":"/api-reference/chat/create-a-chat"},{"title":"Get a chat","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/chat/{id}","href":"/api-reference/chat/get-a-chat"},{"title":"Get chat transcript","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/chat/{id}/transcript","href":"/api-reference/chat/get-chat-transcript"},{"title":"List chat metrics","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/chat/{id}/metrics","href":"/api-reference/chat/list-chat-metrics"}]},{"group":"Customers","icon":"folder","pages":[{"title":"List customers","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/customer","href":"/api-reference/customer/list-customers"},{"title":"Get a customer","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/customer/{customerProfileId}","href":"/api-reference/customer/get-a-customer"},{"title":"Erase a customer","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/customer/{customerProfileId}","href":"/api-reference/customer/erase-a-customer"},{"title":"Set a field on a customer","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/customer/{customerProfileId}/attributes/{key}","href":"/api-reference/customer/set-a-field-on-a-customer"},{"title":"Clear a field on a customer","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/customer/{customerProfileId}/attributes/{key}","href":"/api-reference/customer/clear-a-field-on-a-customer"},{"title":"Unlock a field on a customer","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/customer/{customerProfileId}/attributes/{key}/unlock","href":"/api-reference/customer/unlock-a-field-on-a-customer"},{"title":"Update the notes on a customer","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/customer/{customerProfileId}/notes","href":"/api-reference/customer/update-the-notes-on-a-customer"},{"title":"List customer fields","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/customer/fields","href":"/api-reference/customer/list-customer-fields"},{"title":"Create a customer field","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/customer/fields","href":"/api-reference/customer/create-a-customer-field"},{"title":"Update a customer field","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json patch /v1/customer/fields/{key}","href":"/api-reference/customer/update-a-customer-field"},{"title":"Delete a customer field","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/customer/fields/{key}","href":"/api-reference/customer/delete-a-customer-field"},{"title":"List a customer's conversations","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/customer/{customerProfileId}/conversations","href":"/api-reference/customer/list-a-customers-conversations"}]},{"group":"Issues","icon":"folder","pages":[{"title":"List issues","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/issue","href":"/api-reference/issue/list-issues"},{"title":"Create an issue","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/issue","href":"/api-reference/issue/create-an-issue"},{"title":"Get an issue","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/issue/{issueId}","href":"/api-reference/issue/get-an-issue"}]},{"group":"Analytics","icon":"folder","pages":[{"title":"Run an analytics query","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/analytics/query","href":"/api-reference/analytics/run-an-analytics-query"},{"title":"Get the analytics schema","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/analytics/schema","href":"/api-reference/analytics/get-the-analytics-schema"}]},{"group":"Dashboards","icon":"folder","pages":[{"title":"List dashboards","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/dashboard","href":"/api-reference/dashboard/list-dashboards"},{"title":"Create a dashboard","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/dashboard","href":"/api-reference/dashboard/create-a-dashboard"},{"title":"Get a dashboard","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/dashboard/{dashboardId}","href":"/api-reference/dashboard/get-a-dashboard"},{"title":"Update a dashboard","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/dashboard/{dashboardId}","href":"/api-reference/dashboard/update-a-dashboard"},{"title":"Delete a dashboard","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/dashboard/{dashboardId}","href":"/api-reference/dashboard/delete-a-dashboard"},{"title":"Get dashboard data","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/dashboard/{dashboardId}/data","href":"/api-reference/dashboard/get-dashboard-data"},{"title":"Add a widget","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/dashboard/{dashboardId}/widget","href":"/api-reference/dashboard/add-a-widget"},{"title":"Replace a widget","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json put /v1/dashboard/{dashboardId}/widget/{widgetId}","href":"/api-reference/dashboard/replace-a-widget"},{"title":"Remove a widget","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/dashboard/{dashboardId}/widget/{widgetId}","href":"/api-reference/dashboard/remove-a-widget"},{"title":"Get widget data","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/dashboard/{dashboardId}/widget/{widgetId}/data","href":"/api-reference/dashboard/get-widget-data"}]},{"group":"Reports","icon":"folder","pages":[{"title":"List live reports","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/live-report","href":"/api-reference/live-report/list-live-reports"},{"title":"Create a live report","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/live-report","href":"/api-reference/live-report/create-a-live-report"},{"title":"Get a live report","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/live-report/{reportId}","href":"/api-reference/live-report/get-a-live-report"},{"title":"Update a live report","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json patch /v1/live-report/{reportId}","href":"/api-reference/live-report/update-a-live-report"},{"title":"Delete a live report","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/live-report/{reportId}","href":"/api-reference/live-report/delete-a-live-report"},{"title":"Generate a live report document","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/live-report/{reportId}/generate","href":"/api-reference/live-report/generate-a-live-report-document"},{"title":"List report documents","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/live-report/{reportId}/document","href":"/api-reference/live-report/list-report-documents"},{"title":"Get a report document","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/live-report/{reportId}/document/{documentId}","href":"/api-reference/live-report/get-a-report-document"}]}]},{"group":"Connections","pages":[{"group":"Agent platforms","icon":"folder","pages":[{"title":"List agent connections","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/connections/agent","href":"/api-reference/agent-connection/list-agent-connections"},{"title":"Connect an agent","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/connections/agent","href":"/api-reference/agent-connection/connect-an-agent"},{"title":"Discover agents with a platform API key","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/connections/agent/discover","href":"/api-reference/agent-connection/discover-agents-with-a-platform-api-key"},{"title":"Get an agent connection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/connections/agent/{connectionId}","href":"/api-reference/agent-connection/get-an-agent-connection"},{"title":"Update an agent connection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json patch /v1/connections/agent/{connectionId}","href":"/api-reference/agent-connection/update-an-agent-connection"},{"title":"Disconnect an agent connection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/connections/agent/{connectionId}","href":"/api-reference/agent-connection/disconnect-an-agent-connection"},{"title":"List agent connection providers","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/connections/agent/providers","href":"/api-reference/agent-connection/list-agent-connection-providers"},{"title":"List backfills","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/connections/agent/{connectionId}/backfills","href":"/api-reference/agent-connection/list-backfills"},{"title":"Import past calls","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/connections/agent/{connectionId}/backfills","href":"/api-reference/agent-connection/import-past-calls"},{"title":"Cancel a backfill","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/connections/agent/{connectionId}/backfills/{backfillId}/cancel","href":"/api-reference/agent-connection/cancel-a-backfill"}]},{"group":"Calendars","icon":"folder","pages":[{"title":"List calendar connections","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/connections/calendar","href":"/api-reference/calendar-connection/list-calendar-connections"},{"title":"Connect a calendar account","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/connections/calendar","href":"/api-reference/calendar-connection/connect-a-calendar-account"},{"title":"Start connecting a Google Calendar","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/connections/calendar/google/authorize-url","href":"/api-reference/calendar-connection/start-connecting-a-google-calendar"},{"title":"Start connecting a Calendly account","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/connections/calendar/calendly/authorize-url","href":"/api-reference/calendar-connection/start-connecting-a-calendly-account"},{"title":"Get a calendar connection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/connections/calendar/{connectionId}","href":"/api-reference/calendar-connection/get-a-calendar-connection"},{"title":"Update a calendar connection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json patch /v1/connections/calendar/{connectionId}","href":"/api-reference/calendar-connection/update-a-calendar-connection"},{"title":"Delete a calendar connection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json delete /v1/connections/calendar/{connectionId}","href":"/api-reference/calendar-connection/delete-a-calendar-connection"},{"title":"Check a calendar connection","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/connections/calendar/{connectionId}/check","href":"/api-reference/calendar-connection/check-a-calendar-connection"}]},{"group":"MCP servers","icon":"folder","pages":[{"title":"List MCP servers","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json get /v1/connections/mcp-server","href":"/api-reference/mcp-server-connection/list-mcp-servers"},{"title":"Connect an MCP server","deprecated":null,"version":null,"openapi":"/api-reference/openapi.documented.json post /v1/connections/mcp-server","href":"/api-reference/mcp-server-connection/connect-an-mcp-server"},{"title":"Discover an MCP server","deprecated":null,"version":null,"open
[...]
